%define	name	libmemcache
%define	version	1.2.3
%define	release	1mdk

%define	major	1
%define libname	%mklibname memcache %{major}

Summary:	A high performance C API for memcached
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	BSD-like
URL:		http://people.freebsd.org/~seanc/libmemcache/
Source0:	http://people.freebsd.org/~seanc/libmemcache/%{name}-%{version}.tar.bz2
BuildRequires:	pmk = 0.8.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libmemcache is the C API for memcached(8), a high-performance,
distributed memory object caching system. 

%package -n	%{libname}
Summary:	A high performance C API library for memcached
Group:          System/Libraries

%description -n	%{libname}
libmemcache is the C API for memcached(8), a high-performance,
distributed memory object caching system. 

%package -n	%{libname}-devel
Summary:	Static library and header files for the libmemcache library
Group:		Development/C
Obsoletes:	%{name}-devel memcache-devel
Provides:	%{name}-devel memcache-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
libmemcache is the C API for memcached(8), a high-performance,
distributed memory object caching system. 

This package contains the static libmemcache library and its
header files.

%prep

%setup -q -n %{name}-%{version}

%build

pmk

%make \
    CFLAGS="%{optflags} -fPIC -DPIC" \
    SLLDFLAGS="-shared -Wl,-soname=libmemcache.so.1"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_mandir}/man4

install -m0755 libmemcache.so.1.2 %{buildroot}%{_libdir}/
ln -s libmemcache.so.1.2 %{buildroot}%{_libdir}/libmemcache.so.1
ln -s libmemcache.so.1.2 %{buildroot}%{_libdir}/libmemcache.so
install -m0644 libmemcache.a %{buildroot}%{_libdir}/
install -m0644 memcache.h %{buildroot}%{_includedir}/
install -m0644 memcache.4 %{buildroot}%{_mandir}/man4/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc regress.c
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man4/*

%changelog
* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.2-1mdk
- initial Mandrakelinux package
